Expired certificate error inside Sidekick


#1

Hello everyone, right now NativeScript Sidekick is experiencing issues. You may receive an error “certificate has expired”.

This happens due to expired certificate in our backend infrastructure. The team is working on fixing the issue and we will notify you as soon as we have more information.

As an work-around, you may use NativeScript CLI for Android development and iOS development under macOS.

Please accept my apologies for the interruption of your work.

Best regards,
Todor


#2

Everything is back to normal. Thank you for your patience and understanding.

I’d like to give some details on the issue. 2 July 12:00 UTC time NativeScript Cloud services were down for approximately 1 hour and 14 minutes. The issue was caught by our Monitoring system and the team immediately took steps to resolve the issue.
After restoring our infrastructure, we took additional steps. We are improving our monitoring infrastructure to caught this class of issues before they reach production systems. Also, we are automating the certificate renewal process, so this particular issue should never happen again.

Happy coding,
Todor